package com.hdp.pi.wechat.handler;

import org.springframework.stereotype.Component;
import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.DocumentHelper;

import com.hdp.pi.wechat.model.BaseEntity;
import com.hdp.pi.wechat.model.TextMessage;

/**
 * Created by Veal on 2015/5/15.
 */
@Component
public class TextMessageHandler extends MessageHandler {
    @Override
    protected BaseEntity decode(String message) throws DocumentException {
	Document doc = DocumentHelper.parseText(message);
        TextMessage textMessage=new TextMessage();
        textMessage.msgId= getXMLNodeText(doc,"/xml/MsgId");
        textMessage.content= getXMLNodeText(doc,"/xml/Content");
        return textMessage;
    }
}
