package com.hdp.pi.wechat.handler;

import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.DocumentHelper;
import org.springframework.stereotype.Component;

import com.hdp.pi.wechat.model.BaseEntity;
import com.hdp.pi.wechat.model.LinkMessage;

/**
 * Created by Veal on 2015/5/15.
 */
@Component
public class LinkMessageHandler extends MessageHandler {
    @Override
    protected BaseEntity decode(String message) throws DocumentException {
    	Document doc = DocumentHelper.parseText(message);
        LinkMessage linkMessage=new LinkMessage();
        linkMessage.msgId= getXMLNodeText(doc,"/xml/MsgId");
        linkMessage.title= getXMLNodeText(doc,"/xml/Title");
        linkMessage.description= getXMLNodeText(doc,"/xml/Description");
        linkMessage.url= getXMLNodeText(doc,"/xml/Url");
        return linkMessage;
    }
}
