package com.hdp.pi.wechat.handler;

import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.DocumentHelper;
import org.springframework.stereotype.Component;

import com.hdp.pi.wechat.model.BaseEntity;
import com.hdp.pi.wechat.model.LocationMessage;

/**
 * Created by Veal on 2015/5/15.
 */
@Component
public class LocationHandler extends MessageHandler {
    @Override
    protected BaseEntity decode(String message) throws DocumentException {
    	Document doc = DocumentHelper.parseText(message);
        LocationMessage location=new LocationMessage();
        location.msgId= getXMLNodeText(doc,"/xml/MsgId");
        location.x=getXMLNodeText(doc,"/xml/Location_X");
        location.y=getXMLNodeText(doc,"/xml/Location_Y");
        location.scale=getXMLNodeText(doc,"/xml/Scale");
        location.label=getXMLNodeText(doc,"/xml/Label");
        return location;
    }
}
