package com.hdp.pi.wechat.handler;

import org.springframework.stereotype.Component;
import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.DocumentHelper;

import com.hdp.pi.wechat.model.BaseEntity;
import com.hdp.pi.wechat.model.ShortVideoMessage;

/**
 * Created by Veal on 2015/5/15.
 */
@Component
public class ShortVideoMessageHandler extends MessageHandler {
    @Override
    protected BaseEntity decode(String message) throws DocumentException {
        Document doc= DocumentHelper.parseText(message);
        ShortVideoMessage shortVideoMessage=new ShortVideoMessage();
        shortVideoMessage.msgId= getXMLNodeText(doc,"/xml/MsgId");
        shortVideoMessage.mediaId=getXMLNodeText(doc,"/xml/MediaId");
        shortVideoMessage.thumbMediaId=getXMLNodeText(doc,"/xml/ThumbMediaId");
        return shortVideoMessage;
    }
}
